# Submit Material Document

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/material/submit-material`

### **Request Body**

&#x20;**Refer to :** [**common**](https://docs.pagsmile.com/remittance-api/common)

&#x20;**Biz\_data**&#x20;

| Name                                           | Type | Description |
| ---------------------------------------------- | ---- | ----------- |
| merchant\_id<mark style="color:red;">\*</mark> | long | Merchant ID |
| material\_id<mark style="color:red;">\*</mark> | long | Material Id |

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":{
    },
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name         | Type | Description |
| ------------ | ---- | ----------- |
| material\_id | long | Material Id |

### Example <a href="#example" id="example"></a>

```
curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/collection/submit-material' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.
